Get a Donation

Get a donation by its unique identifier.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the donation

Response

The donation was retrieved
idstringRead-only
The unique identifier for the donation
payment_source_idstring
The unique identifier for the payment source used to segregate deposits between various DAFs and platforms.
amount_grosslong
The original amount of the donation as intended by the donor in minor units of the currency. For dollars, for example, this is cents.
amount_netlong

The amount of the donation that the nonprofit will receive after DAF and/or platform processing fees are deducted in minor units of the currency. For dollars, for example, this is cents.

amount_feelong
The amount of the fee that was deducted by the DAF or processing platform from the donation in minor units of the currency. For dollars, for example, this is cents.
currencystring
The [ISO 4217 code](https://en.wikipedia.org/wiki/ISO_4217) for the Transaction's currency.
purposestring
A description of the donor's intent for the donation. This is useful to understand how the donor intended the donation to be used. For example, "Where needed most" or "General Operating Support" or "Specific Campaign".
notestring
An informational note from the donor to the nonprofit about the donation. This may contain a message or other useful information that the donor wants to share with the nonprofit.
created_atstringRead-onlyformat: "date-time"
The date and time when the donation was created.
attributionobject or null
A subhash containing information about how the donation is attributed.
initiationobject or null
A subhash containing information about how the donation was initiated by DAFpay.
settlementobject or null
A subhash containing information about how the donation was settled by Chariot.
donor_advised_fund_grantobject or null

A subhash containing information about the grant from a Donor-Advised Fund sponsor.

platformobject or null
A subhash containing information about the platform that facilitated the donation. If this is empty, then the donation was not facilitated by a platform.
corporate_matchobject or null
A subhash containing information about the corporate match for the donation. If this is empty, then the donation was not matched by a corporate sponsor.
propertieslist of objects or null
A list of custom properties for the donation.
artifactslist of objects or null

A list of source artifacts that were used to create the donation. These can include the raw source files (PDFs, CSVs, etc.) that were received from upstream platforms or systems.

updated_atstring or nullRead-onlyformat: "date-time"
The date and time when the donation was last updated.

Errors